html, body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center; /* Center horizontally */
  align-items: center; /* Center vertically */
  background-color: #f0f0f0;



    overflow: hidden; /* Prevent unintended scrolling */
    touch-action: manipulation; /* Prevent zoom and panning behaviors */
    overscroll-behavior: none; /* Fix pull-down refresh */
    font-family: 'LL', sans-serif; /* Apply 'LL' font */
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version */
}



button{
    font-family: 'LL', sans-serif; /* Apply 'LL' font */
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version */

}








.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: #fff;
 
    padding: 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.textTitle {
    margin-bottom: 20px;
    font-size: 35px;
    color: #000;
}

canvas {
    display: block;
    margin-bottom: 20px;
 

   /*NEW */
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;user-select: none;
  outline: none;
  -webkit-tap-highlight-color: rgba(255, 255, 255, 0); 

}


.button-container {
  display: flex;
  flex-direction: row; /* Horizontal alignment */
  gap: 30px;
  justify-content: center;
  align-items: center;
  margin: 0; /* Space between canvas and buttons */

}

.interactive-button {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 8px 0px;
    font-size: 18px;
    background-color: #dddddd;
    color: black;
    border: none;
    border-radius: 5px;
    width: 80px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.interactive-button:hover {
    background-color: #cccccc;
}
